## view
Class ASortEntryListURL

    java.lang.Object
      view.GoURL
          view.ASortEntryListURL

    public class ASortEntryListURL

extends GoURL

Constructor Summary
`ASortEntryListURL(java.lang.String sort_by, ID tid, boolean pre, boolean printable)` Constructs the URL.

Method Summary

Methods inherited from class view.GoURL
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASortEntryListURL

    public ASortEntryListURL(java.lang.String sort_by,
                             ID tid,
                             boolean pre,
                             boolean printable)

  Constructs the URL.

  Parameters:
    `sort_by` - the column by which to sort.
    `tid` - the tournament the registration of which to return to.
    `pre` - if true, redirects back to pre-registration otherwise final registration.
    `printable` - if true, redirects to a printable entry list.